import 'package:fis_measure/interfaces/date_types/rect_region.dart';
import 'package:fis_measure/interfaces/process/visuals/visual_area.dart';
import 'package:fis_measure/process/visual/visual.dart';
import 'package:vid/us/vid_us_visual.dart';

import 'application.dart';
import 'visual_area.dart';

class ThirdPartVisual extends VisualBase {
  ThirdPartVisual(
    this.application,
    VidUsVisual visualData,
    RectRegion region,
  ) : super(visualData, region);

  final ThirdPartApplication application;

  @override
  List<IVisualArea> loadAreas() {
    return [ThirdPartVisualArea(this)];
  }
}
