import 'dart:typed_data';

import 'package:fis_vid/processors/base.dart';
import 'package:flutter/cupertino.dart';

abstract class VidFrameViewInterface extends Widget {
  const VidFrameViewInterface(
    this.data, {
    Key? key,
    this.width,
    this.height,
    this.processors,
  }) : super(key: key);

  final Uint8List data;

  final double? width;
  final double? height;

  final List<VidFrameProcessor>? processors;
}
