import 'package:fis_measure/interfaces/process/calculators/output.dart';

class MeasureResult {
  final String measureApplicationName;
  final List<OutputItem> outputList;
  MeasureResult({
    required this.measureApplicationName,
    required this.outputList,
  });
  Map<String, dynamic> toJson() {
    final map = <String, dynamic>{};
    map['MeasureApplicationName'] = measureApplicationName;
    map['OutputList'] = outputList;
    return map;
  }

  String toDisplay() {
    List<String> results = [];
    String resultString = '';
    for (var element in outputList) {
      results.add('${element.id} ${element.description} \n');
    }
    resultString = '$measureApplicationName \n${results.join()}';
    return resultString;
  }
}
