import 'package:fis_common/event/event_type.dart';

/// 手机端测量页面状态控制器
abstract class IMobileMeasureViewStateController {
  /// 当前模式
  MobileMeasureMode get currentMode;

  set currentMode(MobileMeasureMode value);

  /// 模式切换事件
  late final FEventHandler<MobileMeasureMode> onModeChanged;
}

/// 手机端测量页面状态
enum MobileMeasureMode {
  ///播放器模式
  playerMode,

  ///测量模式
  measureMode,

  ///注释模式
  annotationMode,
}
