import 'package:fis_common/event/event_type.dart';
import 'package:fis_measure/interfaces/process/workspace/mobile_measure_view_state_controller.dart';

class MobileMeasureViewStateController
    implements IMobileMeasureViewStateController {
  MobileMeasureMode _currentMode = MobileMeasureMode.playerMode;

  @override
  MobileMeasureMode get currentMode => _currentMode;

  @override
  set currentMode(MobileMeasureMode value) {
    _currentMode = value;
    onModeChanged.emit(this, value);
  }

  @override
  var onModeChanged = FEventHandler<MobileMeasureMode>();
}
